package com.ibtp.kontor.comics.dal;

import com.ibtp.kontor.comics.entity.PublisherEntity;

import java.util.Collection;
import java.util.List;

/**
 * Created by thomas on 17.01.15.
 */
interface PublisherDao {

    public PublisherEntity getById(Long id);

    public Collection<PublisherEntity> findByIds(List<Long> ids);

    public Collection<PublisherEntity> findByName(String name);

    public Collection<PublisherEntity> findAll();

    public PublisherEntity addPublisher(String name);

    public PublisherEntity store(PublisherEntity entity);

    public void delete(PublisherEntity entity);
}
